// Задача "Ноутбук"
// 3-я личная Интернет-олимпиада сезона 2009-2010
// Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

// Не учтен последний переход -- очень плохое решение

uses
    sysutils, math;
type
    int = longint;
const
    MAXN = 20;
    MAXX = 1500;

var
    n, x, y, i, hh, mm, minute, prev_minute : int;
    a, b, c, d : char;
    xp, yp, ans : extended;

begin
    reset(input, 'notebook.in');
    rewrite(output, 'notebook.out');
    
    readln(n, x, y);
    assert((0 <= n) and (n <= MAXN));
    assert((1 <= x) and (x <= MAXX));
    assert((1 <= y) and (y <= MAXX));

    xp := 100 / x;
    yp := 100 / y;

    ans := 100;

    minute := 0;
    for i := 1 to n do begin
        prev_minute := minute;

        readln(a, b, c, c, d);
        hh := (ord(a) - ord('0')) * 10 + (ord(b) - ord('0'));
        mm := (ord(c) - ord('0')) * 10 + (ord(d) - ord('0'));

        assert((0 <= hh) and (hh <= 23));
        assert((0 <= mm) and (mm <= 59));

        minute := 60 * hh + mm;
        assert(prev_minute < minute);

        if (i mod 2 = 0) then begin
            ans := max(ans - xp * (minute - prev_minute), 0); 
        end else begin
            ans := min(ans + yp * (minute - prev_minute), 100); 
        end;
    end;

    writeln(ans:0:5)        
end.
